# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTabCtl Class Reference

Tabbed dialog with extended features. More...

`#include <ktabctl.h>`

Inheritance diagram for KTabCtl:

[legend]
Collaboration diagram for KTabCtl:

[legend]
List of all members.

## Signals

void | tabSelected (int)

## Public Member Functions

| KTabCtl (QWidget *parent=0, const char *name=0)
void | show ()
void | setFont (const QFont &font)
void | setTabFont (const QFont &font)
void | addTab (QWidget *, const QString &)
bool | isTabEnabled (const QString &)
void | setTabEnabled (const QString &, bool)
void | setBorder (bool)
void | setShape (QTabBar::Shape shape)
virtual QSize | sizeHint () const

## Protected Slots

void | showTab (int i)

## Protected Member Functions

void | paintEvent (QPaintEvent *)
void | resizeEvent (QResizeEvent *)
void | setSizes ()
QRect | getChildRect () const
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QTabBar * | tabs
QMemArray< QWidget * > | pages
int | bh
bool | blBorder

## Detailed Description

Tabbed dialog with extended features.

KTabCtl is very similar to QTabDialog, with the following differences:

- To avoid confusion, the API is almost identical with QTabDialog.
- Does not create any buttons, therefore KTabCtl is not limited to dialog boxes. You can use it whereever you want.
- emits the signal tabSelected(int pagenumber) when the user selects one of the tabs. This gives you the chance to update the widget contents of a single page. The signal is emitted _before_ the page is shown. This is very useful if the contents of some widgets on page A depend on the contents of some other widgets on page B.

Author:
  Alexander Sanda (alex@darkstar.ping.at)

Version:
  Id
    ktabctl.h 345236 2004-09-09 15:23:55Z dfaure

Definition at line 48 of file ktabctl.h.

## Constructor & Destructor Documentation

KTabCtl::KTabCtl | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| KTabCtl provides a universal tab control. It is in no ways limited to dialogs and can be used for whatever you want. It has no buttons or any other stuff. However, this is based on the original QTabDialog. Definition at line 34 of file ktabctl.cpp.

The documentation for this class was generated from the following files:

- ktabctl.h
- ktabctl.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:29 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003